Name:          python-argparse
Version:       1.4.0
Release:       2mamba
Summary:       Python command line parser
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/argparse
Source:        https://pypi.debian.net/argparse/argparse-%{version}.tar.gz
License:       Apache
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
The argparse module provides an easy, declarative interface for creating command line tools.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n argparse-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/argparse-%{version}-py*.egg-info
%{python_sitearch}/argparse-%{version}-py*.egg-info/*
%doc README.txt

%changelog
* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- rebuilt with distdeps

* Mon Jun 05 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- python 2.7 mass rebuild

* Thu Mar 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by autospec
